## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       icebreaker
Version:    2.2.2
Release:    %autorelease
Summary:    An addictive action-puzzle game involving bouncing penguins
# Automatically converted from old format: GPLv2+ - review is highly recommended.
License:    GPL-2.0-or-later

Source:     https://mattdm.org/icebreaker/2.2.x/icebreaker-%{version}.tar.xz
URL:        http://www.mattdm.org/icebreaker/

Patch: 0001-Rename-flock-to-pg_flock-to-avoid-collision-with-Mes.patch

BuildRequires:  gcc, make
BuildRequires:  SDL-devel, SDL_mixer-devel
BuildRequires:  gawk, sed, grep
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
IceBreaker is an action-puzzle game in which you must capture penguins from
an Antarctic iceberg so they can be shipped to Finland, where they are
essential to a secret plot for world domination. To earn the highest Geek
Cred, trap them in the smallest space in the shortest time while losing the
fewest lives. IceBreaker was inspired by (but is far from an exact clone of)
Jezzball by Dima Pavlovsky.


%prep
%autosetup -p1

%build
%set_build_flags
%make_build prefix=%{_prefix}

%install
%make_install prefix=%{buildroot}%{_prefix}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications icebreaker.desktop
mkdir %{buildroot}%{_datadir}/metainfo
cp -p metainfo.xml %{buildroot}%{_datadir}/metainfo/org.mattdm.icebreaker.metainfo.xml

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files
%license LICENSE
%doc README README.themes TODO ChangeLog
%{_bindir}/icebreaker
%{_datadir}/applications/icebreaker.desktop
%{_datadir}/metainfo/org.mattdm.icebreaker.metainfo.xml
%{_datadir}/icebreaker/
%{_mandir}/man6/*


%changelog
## START: Generated by rpmautospec
* Wed Dec 04 2024 Neal Gompa <ngompa@fedoraproject.org> - 2.2.2-7
- Uncommitted changes

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 2.2.2-6
- convert GPLv2+ license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Matthew Miller <mattdm@mattdm.org> - 2.2.2-1
- fix build failure (how big can numbers possibly be, anyway?)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 18 2021 Matthew Miller <mattdm@mattdm.org> - 2.2.1-2
- Use set_build_flags macro instead of RPM_OPT_FLAGS variable. LDFLAGs
  wasn't being set to Fedora standards, and now it is.

* Tue Oct 05 2021 Matthew Miller <mattdm@mattdm.org> - 2.2.1-1
- Minor release with some build fixes

* Tue Oct 05 2021 Matthew Miller <mattdm@mattdm.org> - 2.2.0-5
- check metainfo.xml -- thanks again Miro

* Tue Oct 05 2021 Matthew Miller <mattdm@mattdm.org> - 2.2.0-4
- Spec file cleanups from Miro Hrončok (see
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=2010409#c2)

* Mon Mar  1 2021 Matthew Miller <mattdm@mattdm.org> - 2.2.0-1
- fixes to the Windows build make this version 2.2

* Mon Mar  1 2021 Matthew Miller <mattdm@mattdm.org> - 2.1.3-1
- fix metainfo oops

* Mon Mar  1 2021 Matthew Miller <mattdm@mattdm.org> - 2.1.2-1
- include metainfo for GNOME Software

* Tue Feb 23 2021 Matthew Miller <mattdm@mattdm.org> - 2.1.1-2
- gratuitous bump to fix changelog order

* Tue Feb 23 2021 Matthew Miller <mattdm@mattdm.org> - 2.1.1-1
- update to 2.1.1 to fix some more buffer overflows

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 31 2020 Matthew Miller <mattdm@mattdm.org> - 2.1.0-1
- update rawhide to 2.1.0 devel release with code cleanups

* Sun Aug 30 2020 Matthew Miller <mattdm@mattdm.org> - 2.0.0-2
- license is gpl v2 or later

* Sun Aug 30 2020 Matthew Miller <mattdm@mattdm.org> - 2.0.0-1
- high scores are going to be local to each home directory; no more setgid
- update to 2.0.0

* Thu Nov 16 2006 Matthew Miller <mattdm@mattdm.org>
- working towards 1.9.9 :)

* Fri May 31 2002 Matthew Miller <mattdm@mattdm.org>
- 1.9.6

* Mon May 27 2002 Matthew Miller <mattdm@mattdm.org>
- 1.9.5

* Thu May 23 2002 Matthew Miller <mattdm@mattdm.org>
- more complex makefile allows simpler specfile

* Tue May 21 2002 Matthew Miller <mattdm@mattdm.org>
- added themes docs

* Sun May 19 2002 Matthew Miller <mattdm@mattdm.org>
- inserted some convenience stuff to enable "make rpm" magic to work
- added "isprerelease" check. No one but me should care about this.

* Sun May 19 2002 Matthew Miller <mattdm@mattdm.org>
- 1.9.2

* Fri May 17 2002 Matthew Miller <mattdm@mattdm.org>
- REALLY add .ibt files for themes

* Mon May 13 2002 Matthew Miller <mattdm@mattdm.org>
- add .ibt files for themes

* Wed May 08 2002 Matthew Miller <mattdm@mattdm.org>
- 1.9.1

* Wed Aug 01 2001 Matthew Miller <mattdm@mattdm.org>
- 1.9.0

* Mon Jul 30 2001 Matthew Miller <mattdm@mattdm.org>
- 1.2.1

* Sat Jul 28 2001 Matthew Miller <mattdm@mattdm.org>
- 1.2

* Tue Jul 24 2001 Matthew Miller <mattdm@mattdm.org>
- move man page section 6

* Sun Jul 22 2001 Matthew Miller <mattdm@mattdm.org>
- 1.1

* Fri Jul 20 2001 Matthew Miller <mattdm@mattdm.org>
- borrowed idea of using post-script to create high score file
  from Mandrake RPM. That way, it doesn't have to be marked as a config
  file, and yet won't get zapped on upgrade.
- also, modified Makefile to cope with RPM_OPT_FLAGS, again as per
  Mandrake.

* Thu Jul 19 2001 Matthew Miller <mattdm@mattdm.org>
- added man page

* Tue Jul 18 2001 Matthew Miller <mattdm@mattdm.org>
- updated to 1.09

* Thu Oct 5 2000 Matthew Miller <mattdm@mattdm.org>
- looks good to me. one-point-oh

* Tue Oct 3 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.995 
- better make process

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.99 :)

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.98

* Fri Sep 15 2000 Matthew Miller <mattdm@mattdm.org>
- first package

## END: Generated by rpmautospec
